<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_4fabdeae28e3ef4591a36a28a346" . "dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV91cmwubmV3cw" . "=="), "_559824e0ac2e0f7e96c810473f78f" . "5fe" => base64_decode("L25ld3M" . "v"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4fabdea" . "e28e3ef4" . "591a36a2" . "8a346dc5" . "5"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_559824e0ac2e0f7e" . "96c810473f78f5fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}